CREATE TABLE cst_perp_cost_elements_hdr_gt (
    TRANSACTION_ID             NUMBER(18, 0),
    COST_ORG_ID                NUMBER(18, 0),
    COST_BOOK_ID               NUMBER(18, 0),
    INVENTORY_ITEM_ID          NUMBER(18, 0),
    VAL_UNIT_ID                NUMBER(18, 0),
    EFF_DATE                   TIMESTAMP(6) ,
    COST_DATE                  TIMESTAMP(6) ,
    CURRENCY_CODE              VARCHAR2(60) ,
    BASE_TXN_TYPE_ID           NUMBER(18, 0),
    BASE_TXN_SOURCE_TYPE_ID    NUMBER(18, 0),
    BASE_TXN_ACTION_ID         NUMBER(18, 0),
    TRANSACTION_ID             NUMBER(18, 0),
    COST_ORG_ID                NUMBER(18, 0),
    COST_BOOK_ID               NUMBER(18, 0),
    INVENTORY_ITEM_ID          NUMBER(18, 0),
    VAL_UNIT_ID                NUMBER(18, 0),
    EFF_DATE                   TIMESTAMP(6) ,
    COST_DATE                  TIMESTAMP(6) ,
    CURRENCY_CODE              VARCHAR2(60) ,
    BASE_TXN_TYPE_ID           NUMBER(18, 0),
    BASE_TXN_SOURCE_TYPE_ID    NUMBER(18, 0),
    BASE_TXN_ACTION_ID         NUMBER(18, 0)
);
